/******************************************************************************
XTalCal

XTal calibration with trim capacitor
ATtiny25 clock output on PB0

(c) 2009 Dipl.-Ing. (FH) Rainer Reusch for Elektor
Homepage: http://elektor.reworld.eu

Environment: 	Atmel AVR Studio 4.16.638
Compiler:			GCC, WinAVR 20090313

Created: 2009-11-13
Changed: 2009-11-16
******************************************************************************/

#include <avr/io.h>

#define CLOCKOUT PB0			// measure output: 0.1 x XTal frequency

//-----------------------------------------------------------------------------
int main(void)
//-----------------------------------------------------------------------------
{
	DDRB|=_BV(CLOCKOUT);		// set as output
  for(;;)
	{	// main loop
		PORTB^=_BV(CLOCKOUT);	// toggle output
  }
  return 0;
}
